#include "tiles/tile.h"
#include "map/node.h"

class Stone : public Tile {
    public:
        Stone() : Tile(3) {}

        Stone(const Stone &other) = default;
        Stone &operator=(const Stone &other) = delete;

        virtual ~Stone() = default;

        virtual Stone *clone() { return new Stone(*this); }

        void render(Render r) override;

    private:

};
